欢迎来到Doc100.Net免费学习资源知识分享平台!
您的位置:首页 > 程序异常 >

编译范例程序时:no package 'clutter-0.9' found

更新时间: 2014-01-05 02:46:58 责任编辑: Author_N1

 

编译实例程序时:No package 'clutter-0.9' found
为什么啊?我需要安装什么包呢?

checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for style of include used by make... GNU
checking dependency style of gcc... gcc3
checking for a BSD-compatible install... /usr/bin/install -c
checking how to run the C preprocessor... gcc -E
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for ANSI C header files... yes
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for SAMPLE_APPS... configure: error: Package requirements (clutter-0.9) were not met:

No package 'clutter-0.9' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables SAMPLE_APPS_CFLAGS
and SAMPLE_APPS_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

[moblin@localhost sample_apps]$ 
--参考方法--
引用:
ft,再装一个包即可。 

yum install clutter-devel.i586



你这样是错的!通过yum只能获得clutter0.8,而上面提示的需求是0.9。
目前,只有用MIC2创建的Moblin-netbook-dev映像上可以安装clutter0.9版。MIC2使用方法参看moblin.csdn.net中相关文章。
--参考方法--
在clutter官网上下个0.9的包,放在/usr/src/目录下。安装的时候./configure --prefix=/usr/src
  再编译安装就行了。 
上一篇:上一篇
下一篇:下一篇

 

随机推荐程序问答结果

 

 

如对文章有任何疑问请提交到问题反馈,或者您对内容不满意,请您反馈给我们DOC100.NET论坛发贴求解。
DOC100.NET资源网,机器学习分类整理更新日期::2014-01-05 02:46:58
如需转载,请注明文章出处和来源网址:http://www.doc100.net/bugs/t/14312/
本文WWW.DOC100.NET DOC100.NET版权所有。